 % function that returns the complex value of the dielectric constant of a
% material as a function of hte wavelength lambda0nm.
%
% fileName is the name of the file that contains a set of permittivies
% values (real and imag values) along with the associated energies.

%%
function EPS=epsmRead(lambda0,fileName)
%possible values of fileName : 'Au'

lambda0nm =  lambda0*1e9;
nMetal=dlmread(['n' fileName '.txt']);

%dlmwrite('toto.txt',nMetal,' ')


N=size(nMetal)*[1;0];

eps=zeros(N,1);
eV=zeros(N,1);
lambda=zeros(N,1);


factor=1239.8419;  % 1eV -> 1239.8419 (nm)
eV0=factor/lambda0nm;

for I=1:N
    eps1=nMetal(I,2)^2-nMetal(I,3)^2;
    nMetal(I,2);
    nMetal(I,2);
    eps2=2.0*nMetal(I,2)*nMetal(I,3);
    eps(I)=complex(eps1,eps2);
    eV(I)=nMetal(I,1);
    aa=factor/nMetal(I,1);
    lambda(I)=aa;
end


EPS1=finter(nMetal(:,1),real(eps),eV0);
EPS2=finter(nMetal(:,1),imag(eps),eV0);



EPS=complex(EPS1,EPS2);
      
      
      
      
